## visad.data.hdfeos
Class Shape

    java.lang.Object
      visad.data.hdfeos.Shape

public class Shape
extends Object

Constructor Summary
`Shape(Variable var)`

Method Summary
`void` `addVariable(Variable var)`
`int` `getNumberOfVars()`
`DimensionSet` `getShape()`
`Variable` `getVariable(int index)`
`VariableSet` `getVariables()`
`Variable` `isCoordVar(int index)`
`boolean` `memberOf(Variable var)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Shape

    public Shape(Variable var)

Method Detail

### addVariable

    public void addVariable(Variable var)

### getShape

    public DimensionSet getShape()

### getVariables

    public VariableSet getVariables()

### getNumberOfVars

    public int getNumberOfVars()

### getVariable

    public Variable getVariable(int index)

### memberOf

    public boolean memberOf(Variable var)

### isCoordVar

    public Variable isCoordVar(int index)

### toString

    public String toString()